<?php
/**
 * This page prints a particular instance of flashchat
 *
 * @author cheney@topcmm.com
 * @version $Id: view.php,v 3.0 2014/04/01 12:00:00 123 Flash Chat $
 * @package flashchat
 **/

require_once("../../config.php");
require_once($CFG->dirroot.'/mod/flashchat/lib.php');
require_once ($CFG->dirroot.'/mod/flashchat/functions_chat.php');
require_once($CFG->libdir . '/completionlib.php');
$id = optional_param('id', 0, PARAM_INT); // Course Module ID, or
$a  = optional_param('a', 0, PARAM_INT);  // flashchat ID

global $DB;
if ($id) {
	//if (! $cm = get_record("course_modules", "id", $id)) {
	if (! $cm = $DB->get_record("course_modules", array('id'=>$id))) {
		error("Course Module ID was incorrect");
	}
	//if (! $course = get_record("course", "id", $cm->course)) {
	if (! $course = $DB->get_record("course", array('id'=>$cm->course))) {
		error("Course is misconfigured");
	}      
} else {
	//if (! $course = get_record("course", "id", $flashchat->course)) {
	if (! $course = $DB->get_record("course", array('id'=>$a))) {
		error("Course is misconfigured");
	}
	if (! $cm = get_coursemodule_from_instance("flashchat", $a, $course->id)) {
		error("Course Module ID was incorrect");
	}
}
    
$flashchat = chat_config($id,$a,$cm->instance);
require_login($course->id);
add_to_log($course->id, "flashchat", "view", "view.php?id=$cm->id", "$flashchat->id");

if($flashchat->fullscreen == 1){
	include_once $CFG->dirroot."/mod/flashchat/123flashchat.php";
}else{
	/// Print the page header
	$strflashchats = get_string("modulenameplural", "flashchat");
	$strflashchat  = get_string("modulename", "flashchat");
	
	$navlinks = array();
	//$navlinks[] = array('name' => $strflashchats, 'link' => "index.php?id=$course->id", 'type' => 'activity');
	//$navlinks[] = array('name' => format_string($flashchat->name), 'link' => '', 'type' => 'activityinstance');
	$PAGE->set_url('/mod/flashchat/view.php', array('id' => $cm->id));
	$PAGE->set_title($strflashchat);
	$PAGE->set_heading($strflashchat);
	/// Print the page header
	echo $OUTPUT->header();
	
	/// Print the main part of the page
    include_once $CFG->dirroot."/mod/flashchat/123flashchat.php";
	/*$chat_info = getChatters($id,$a,$cm->instance); 
	$chat_list = getChatterList($id,$a,$cm->instance);
  

    echo $chat_info['connections'];
    echo $chat_info['logon_users'];
    echo $chat_info['room_numbers'];
    echo $chat_list;
    */
	echo '<div style="width:'.$flashchat->client_width.'px; margin: 0 auto;">';
    echo serviceGetChatStats($id,$a,$cm->instance);
	echo '</div>';
    
	echo $OUTPUT->footer();
}
?>
